Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.sdk
Class SDKModelNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.axeda.esrs.sdk.SDKModelNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class SDKModelNotFoundException

extends java.lang.Exception

An SDK level encapsulation class of the SDK code

See Also:
  Serialized Form

Constructor Summary
`SDKModelNotFoundException(java.lang.String message)` Accepts the exception message in the constructor

Method Summary
`java.lang.String` | `getMessage()` Delegates to the inner exception for the message
`void` | `printStackTrace()` Delegates to the innder exception for the printStackTrace

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SDKModelNotFoundException

    public SDKModelNotFoundException(java.lang.String message)

  Accepts the exception message in the constructor

  Parameters:
    `message` - The message related to the cause of the exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Delegates to the inner exception for the message

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    The exception message

### printStackTrace

    public void printStackTrace()

  Delegates to the innder exception for the printStackTrace

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD